uniform sampler2D texture;
void main()
{
	vec4 o;
	vec2 uv = gl_TexCoord[0].xy;
	o = -o + length(fwidth(texture2D(texture,uv)))*1.0;


	vec4 color = texture2D(texture, uv);
	gl_FragColor = color+o*2;
}